<template>
 <section id="homepage">
  <app-search>
  </app-search>
  <div class="container">
   <div id="lista">
    <div v-for="(row, index) in server.opere" class="row">
     <div v-for="(row2, index2) in row" class="column" style="width:368px !important;flex:0 !important;">
      <div v-bind:class="is_attivo(row2.id_beacon)">
       <img v-bind:src="get_path(row2.hash, row2.thumb)"/>
       <figcaption>
        <div class="elimina_opera" @click="elimina_opera(row2.hash)">
         <i class="fa fa-trash" aria-hidden="true">
         </i>
        </div>
        <div class="opzioni">
         <button @click="aggiorna_associazione(row2.hash)" v-if="is_attivo(row2.id_beacon) == 'non_attivo' ">
          Associa
         </button>
         <button @click="aggiorna_associazione(row2.hash)"  v-else>
          Aggiorna associazione
         </button>
        </div>
       </figcaption>
       <div class="tq">
        <h5>
         {{ row2.titolo }}
        </h5>
       </div>
      </div>
      <div class="fy-border-pattern askew" style="top:-30px !important;">
       <svg class="border" width="348" height="40" version="1.1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2560 40">
        <polygon class="shape" points="0,100 2560,100 2560,0">
        </polygon>
       </svg>
      </div>
     </div>
    </div>
   </div>
  </div>
  <div id="modale" v-if="modale_associazione.attiva">
   <div class="chiudi_modale" @click="chiudi_modale">
    <i class="fa fa-times" aria-hidden="true">
    </i>
   </div>
   <div class="container">
    <div id="titolo_pagina">
     <h1 v-if="modale_associazione.is_aggiornamento == false">
      Nuova associazione
     </h1>
     <h1 v-else>
      Aggiorna associazione
     </h1>
    </div>
    <div class="box">
     <div id="modulo">
      <div class="img_thumb">
       <input type="file" id="thumb" @change="upload_thumb" ref="thumb" />
       <img v-bind:src="get_path_aggiorna(modale_associazione.hash, modale_associazione.thumb)" v-if="/^thumb/.test(modale_associazione.thumb)"/>
       <figcaption v-if="/^thumb/.test(modale_associazione.thumb)">
        <i class="fa fa-file-image-o" aria-hidden="true" @click="aggiorna_thumb"> 
         </i>
       </figcaption>
       <div v-if="!/^thumb/.test(modale_associazione.thumb)">
        <label for="thumb" id="uppa_thumb">
         <i class="fa fa-file-image-o" aria-hidden="true">
         </i>
        </label>
       </div>
      </div>
      <div style="margin-top:101px;">
       <div class="mark">
        <input type="text" v-model="modale_associazione.quadro" placeholder="Nome quadro"/>
       </div>
       <div class="mark">
        <select v-model="server.beacons_disponibili.selezionato" v-if="modale_associazione.is_aggiornamento == false">
         <option v-for="option in server.beacons_disponibili.options" v-bind="{value: option.identifier, disabled: option.disabled}">
          {{ option.shadow.name }}
         </option>
        </select>
        <select v-model="server.beacons_associati_piu_disponibili.selezionato" v-if="modale_associazione.is_aggiornamento == true">
         <option v-for="option in server.beacons_associati_piu_disponibili.options" v-bind="{value: option.identifier, disabled: option.disabled}">
          {{ option.shadow.name }}
         </option>
        </select>
       </div>
       <div class="mark">
        <input type="file" id="upaudio" @change="upload_audio" v-if="!/^audio/.test(modale_associazione.audio)"/>

        <label id="uppa_audio" for="upaudio" v-if="!/^audio/.test(modale_associazione.audio)">
        Carica un file audio
        </label>


        <div v-if="/^audio/.test(modale_associazione.audio)">
         <audio controls>
          <source v-bind:src="get_path_aggiorna(modale_associazione.hash, modale_associazione.audio)" type="audio/mpeg"/>
          Audio html non supportato!
         </audio>
         <a href="#" @click="modale_associazione.audio = null">
          (Aggiorna)
         </a>
        </div>

       </div>
       <button @click="associa(true)" v-if="modale_associazione.is_aggiornamento == false">
        Crea nuova associazione
       </button>
       <button @click="associa(modale_associazione.hash)" v-if="modale_associazione.is_aggiornamento == true">
        Aggiorna associazione
       </button>
      </div>
     </div>
    </div>
   </div>
  </div>
  <h1>
   todo:
  </h1>
  1) Errore nuova associazione selezione beacon associato come non associato
 </section>
</template>
<script src="./homepage.js"></script>
